Summary: Change the default ls(1) behavior not to display color.
Name: SL_no_colorls
Version: 2.2
Release: 1
Packager: KELEMEN Peter <Peter.Kelemen@cern.ch>
Vendor: CERN
License: GPL
Group: Applications/File

Requires: setup
Obsoletes: zz_no_colorls

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Source: %{name}-%{version}.tar.gz
Prefix: /

%description
In multiuser environments ls(1) does many stats to be able to
display colored output.  When installed, the default behaviour is
changed not to display colored output.

%prep
%setup -n %{name}
make 

%install
make install INSTALLROOT=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/etc/profile.d
%doc /usr/share/doc/%{name}-%{version}/README

%post
rm -f /etc/profile.d/colorls.sh.not
rm -f /etc/profile.d/colorls.csh.not

%changelog
* Mon Nov 17 2008  KELEMEN Peter <Peter.Kelemen@cern.ch> 2.2-1
- Fix control flow to avoid explicitely calling exit().

* Wed Nov  5 2008  KELEMEN Peter <Peter.Kelemen@cern.ch> 2.1-1
- Fix parsing different output of bash(1).  Thanks Jan!

* Wed Oct 29 2008  KELEMEN Peter <Peter.Kelemen@cern.ch> 2.0-1
- Rewritten from scratch.
